Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#64545 - [paraview] Error during compiling MPI_Comm

Attached to Project: Community Packages
Opened by Gianluca Pettinello (gianluca.pettinello) - Sunday, 17 November 2019, 12:19 GMT
Last edited by Bruno Pagani (ArchangeGabriel) - Monday, 17 February 2020, 14:43 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Bruno Pagani (ArchangeGabriel)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
Error while compiling paraview package

Additional info:
* package version(s) 5.7.0-2
* config and/or log files etc.
* link to upstream bug report, if any

Steps to reproduce:

While compiling I get the following error:
/src/ParaView-v5.7.0/VTK/ThirdParty/h5part/vtkh5part/src/H5PartTypes.h:23:24: error: conflicting types for ‘MPI_Comm’
23 | typedef unsigned long MPI_Comm;

Do I have some outdate package?
Thanks for helping me
Gianluca
This task depends upon

Closed by  Bruno Pagani (ArchangeGabriel)
Monday, 17 February 2020, 14:43 GMT
Reason for closing:  Upstream
Additional comments about closing:  Fixed upstream.
Comment by bartus (bartus) - Sunday, 17 November 2019, 18:14 GMT
Related issue on [paraview.gitlab](https://gitlab.kitware.com/vtk/vtk/issues/17693)
Comment by bartus (bartus) - Monday, 18 November 2019, 12:21 GMT

Loading...